Bug 1333906 - Subscription-manager-gui's combo "Release version" does not change it's name if some value is choosen from AT-SPI perspective
Summary: Subscription-manager-gui's combo "Release version" does not change it's name ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: pre-dev-freeze
: ---
Assignee: William Poteat
QA Contact: Jan Stavel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-06 15:47 UTC by Jan Stavel
Modified: 2016-11-03 20:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:28:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description Jan Stavel 2016-05-06 15:47:51 UTC
Description of problem:

   This is a bug the same type as https://bugzilla.redhat.com/show_bug.cgi?id=1333904

   Desktop acceptance tests of Subscription Manager cannot get a value of an actual selected item of a combo box.
   It is due to a fact that combo should set its name to an actual selected item value.

   The combo is in a subscription-manager-gui "System" / "Preferences" / "Service level preference".

   I have added an example from orca source repo. I hope it helps.

   - a combo has handler for "changed" event
     https://github.com/GNOME/orca/blob/master/src/orca/orca-setup.ui#L1162

   - the handler sets a name of the combo each time some value is selected
     https://github.com/GNOME/orca/blob/master/src/orca/orca_gui_prefs.py#L2080

   BTW: this is an improvement that helps desktop acceptance tests that work with this combo.


Version-Release number of selected component (if applicable):


How reproducible:
using sniff from dogtail package.

Steps to Reproduce:

    Given I open sniff (from dogtail package)
    and I start subscription-manager-gui
    and I open a dialog "System" / "Preferences" in subscription-manager-gui
    and I find a combo "release_selection_combobox" in sniff

    When I select a value "7.0"
    Then I still see that name of the combo is equal to a value "release_selection_combobox" in sniff.

    It should be set to something similar to: "release_selection_combobox|7.0" or "7.0".


Actual results:

   The combo does not change its name when some value is choosen.

Comment 2 William Poteat 2016-07-01 17:50:56 UTC
PR filed https://github.com/candlepin/subscription-manager/pull/1445

Comment 3 William Poteat 2016-08-04 15:11:44 UTC
master commit c786fb488bc85158ffbc44934b2bef1782647f1f

Comment 4 Jan Stavel 2016-08-09 12:50:40 UTC
I will write a small test for this.

Comment 6 Jan Stavel 2016-08-16 18:34:16 UTC
It works! Thanks!

Comment 8 errata-xmlrpc 2016-11-03 20:28:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.